Debian Bug report logs - #640786
RFP: convergence -- An agile, distributed, and secure strategy for replacing Certificate Authorities.

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: bertagaz <bertagaz@ptitcanardnoir.org>

Date: Wed, 7 Sep 2011 10:09:03 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#640786; Package wnpp. (Wed, 07 Sep 2011 10:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz <bertagaz@ptitcanardnoir.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 07 Sep 2011 10:09:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bertagaz <bertagaz@ptitcanardnoir.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-devel@lists.debian.org
Subject: ITP: convergence -- An agile, distributed, and secure strategy for replacing Certificate Authorities.
Date: Wed, 7 Sep 2011 11:40:10 +0200
Package: wnpp
Severity: wishlist
Owner: bertagaz <bertagaz@ptitcanardnoir.org>


* Package name    : convergence
  Version         : 0.03
  Upstream Author : Moxie Marlinspike <moxie@thoughtcrime.org>
* URL             : http://convergence.io/
* License         : GPL
  Programming Lang: Python
  Description     : Agile, distributed, secure strategy for replacing CAs.

Convergence is a secure replacement for the Certificate Authority System.
Rather than employing a traditionally hard-coded list of immutable CAs,
Convergence allows you to configure a dynamic set of Notaries which use
network perspective to validate your communication.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>:
Bug#640786; Package wnpp. (Fri, 09 Sep 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to aszlig <aszlig@redmoonstudios.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>. (Fri, 09 Sep 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 640786@bugs.debian.org (full text, mbox):

From: aszlig <aszlig@redmoonstudios.org>
To: 640786@bugs.debian.org
Subject: Convergence notary package
Date: Fri, 9 Sep 2011 17:47:35 +0200
[Message part 1 (text/plain, inline)]
hi,

i've already started on packaging the notary so it might help as a
start, it's found in my fork at:

https://github.com/aszlig/Convergence/tree/debian

a!
-- 
aszlig
Universal dilettante
RedMoonStudios
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>:
Bug#640786; Package wnpp. (Mon, 12 Sep 2011 21:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>. (Mon, 12 Sep 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 640786@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: 640786@bugs.debian.org
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Paul Wise <pabs@debian.org>, Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Subject: Re: replacing Perspectives extension with Convergence?
Date: Mon, 12 Sep 2011 14:42:48 -0700
it appears someone has already filed an ITP for convergence: #640786

i've got a git branch too, but haven't pushed it anywhere just yet (what am i 
waiting for?).

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>:
Bug#640786; Package wnpp. (Wed, 14 Sep 2011 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz@ptitcanardnoir.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>. (Wed, 14 Sep 2011 08:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 640786@bugs.debian.org (full text, mbox):

From: bertagaz@ptitcanardnoir.org
To: Vagrant Cascadian <vagrant@debian.org>, 640786@bugs.debian.org
Cc: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Paul Wise <pabs@debian.org>, Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>, aszlig@redmoonstudios.org
Subject: Re: Bug#640786: replacing Perspectives extension with Convergence?
Date: Wed, 14 Sep 2011 10:41:52 +0200
Hi,

On Mon, Sep 12, 2011 at 02:42:48PM -0700, Vagrant Cascadian wrote:
> it appears someone has already filed an ITP for convergence: #640786
> 
> i've got a git branch too, but haven't pushed it anywhere just yet (what am i 
> waiting for?).

I've refrained myself to send this ITP for days, thinking someone would
probably do it at some point. But so far no one did so I finally decided
to send it. It's nice to see that this bug attract people that have been
working on the packaging.

If we are several people interested to work on this, maybe we can setup a
team and a git on alioth, or maybe join the pkg-mozext-maintainers team
and use their infrastructure. What do you think?

bert.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>:
Bug#640786; Package wnpp. (Mon, 19 Sep 2011 21:19:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>. (Mon, 19 Sep 2011 21:20:10 GMT) Full text and rfc822 format available.

Message #25 received at 640786@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@debian.org>
To: bertagaz@ptitcanardnoir.org, 640786@bugs.debian.org
Subject: Re: Bug#640786: replacing Perspectives extension with Convergence?
Date: Mon, 19 Sep 2011 14:13:15 -0700
On Wed, Sep 14, 2011 at 10:41:52AM +0200, bertagaz@ptitcanardnoir.org wrote:
> On Mon, Sep 12, 2011 at 02:42:48PM -0700, Vagrant Cascadian wrote:
> > it appears someone has already filed an ITP for convergence: #640786
> > 
> > i've got a git branch too, but haven't pushed it anywhere just yet (what am i 
> > waiting for?).

pushed my branch here:

http://anonscm.debian.org/gitweb/?p=users/vagrant/convergence.git

i made a single source package of both the extension and the notary server,
since upstream is maintaining them in a single git tree. although really it
seems like it might make more sense to maintain them as two separate source
packages.

 
> I've refrained myself to send this ITP for days, thinking someone would
> probably do it at some point. But so far no one did so I finally decided
> to send it. It's nice to see that this bug attract people that have been
> working on the packaging.

indeed.

 
> If we are several people interested to work on this, maybe we can setup a
> team and a git on alioth, or maybe join the pkg-mozext-maintainers team
> and use their infrastructure. What do you think?

definitely should have some sort of team infrastructure, although the notary
server code might be outside of what the pkg-mozext-maintainers team normally
handles. not sure what would be best.


i should also mention that upstream is not so sure we should package for debian
until development slows a bit, expecting multiple new versions a week. if we
did upload to debian, experimental might be most appropriate.  that said, it
seems like perspectives shouldn't necessarily be removed the moment convergence
hits debian; it's a little more field tested.


live well,
  vagrant

p.s. i've subscribed to the bug report myself, so no need to CC me if you're
CCing the bug report. i left most folks out of the CC list; hope that's ok.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>:
Bug#640786; Package wnpp. (Tue, 20 Sep 2011 14:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz@ptitcanardnoir.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>. (Tue, 20 Sep 2011 14:15:04 GMT) Full text and rfc822 format available.

Message #30 received at 640786@bugs.debian.org (full text, mbox):

From: bertagaz@ptitcanardnoir.org
To: 640786@bugs.debian.org
Subject: Re: Bug#640786: replacing Perspectives extension with Convergence?
Date: Tue, 20 Sep 2011 16:05:16 +0200
On Mon, Sep 19, 2011 at 02:13:15PM -0700, Vagrant Cascadian wrote:
> On Wed, Sep 14, 2011 at 10:41:52AM +0200, bertagaz@ptitcanardnoir.org wrote:
> > On Mon, Sep 12, 2011 at 02:42:48PM -0700, Vagrant Cascadian wrote:
> > > it appears someone has already filed an ITP for convergence: #640786
> > > 
> > > i've got a git branch too, but haven't pushed it anywhere just yet (what am i 
> > > waiting for?).
> 
> pushed my branch here:
> 
> http://anonscm.debian.org/gitweb/?p=users/vagrant/convergence.git

Nice work. Having a look now.

> i made a single source package of both the extension and the notary server,
> since upstream is maintaining them in a single git tree. although really it
> seems like it might make more sense to maintain them as two separate source
> packages.
 
> > If we are several people interested to work on this, maybe we can setup a
> > team and a git on alioth, or maybe join the pkg-mozext-maintainers team
> > and use their infrastructure. What do you think?
> 
> definitely should have some sort of team infrastructure, although the notary
> server code might be outside of what the pkg-mozext-maintainers team normally
> handles. not sure what would be best.

Me too. Maybe we can create a team in alioth that would be the official
maintainer for both the client and server packages and ask people from the
pkg-mozext-maintainers to join if they want to participate in maintaining
the client part.

> i should also mention that upstream is not so sure we should package for debian
> until development slows a bit, expecting multiple new versions a week. if we
> did upload to debian, experimental might be most appropriate.  that said, it
> seems like perspectives shouldn't necessarily be removed the moment convergence
> hits debian; it's a little more field tested.

Agree.

bert.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>:
Bug#640786; Package wnpp. (Mon, 27 May 2013 14:16:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bertagaz <bertagaz@ptitcanardnoir.org>. (Mon, 27 May 2013 14:16:33 GMT) Full text and rfc822 format available.

Message #35 received at 640786@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 640786@bugs.debian.org
Cc: control@bugs.debian.org
Subject: convergence: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 640786 RFP: convergence -- An agile, distributed, and secure strategy for replacing Certificate Authorities.
noowner 640786
tag 640786 - pending
thanks

Hi,

This is an automatic email to change the status of convergence back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting convergence, please send a mail to
<control@bugs.debian.org> with:

 retitle 640786 ITP: convergence -- An agile, distributed, and secure strategy for replacing Certificate Authorities.
 owner 640786 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <640786@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: convergence -- An agile, distributed, and secure strategy for replacing Certificate Authorities.' from 'ITP: convergence -- An agile, distributed, and secure strategy for replacing Certificate Authorities.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:38:11 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by bertagaz <bertagaz@ptitcanardnoir.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:38:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:13:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.